VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState:
[legend]

## Public Member Functions

PipelineColorBlendAttachmentState (Bool32 blendEnable_=0, BlendFactor srcColorBlendFactor_=BlendFactor::eZero, BlendFactor dstColorBlendFactor_=BlendFactor::eZero, BlendOp colorBlendOp_=BlendOp::eAdd, BlendFactor srcAlphaBlendFactor_=BlendFactor::eZero, BlendFactor dstAlphaBlendFactor_=BlendFactor::eZero, BlendOp alphaBlendOp_=BlendOp::eAdd, ColorComponentFlags colorWriteMask_=ColorComponentFlags())

| PipelineColorBlendAttachmentState (VkPipelineColorBlendAttachmentState const &rhs)
PipelineColorBlendAttachmentState & | operator= (VkPipelineColorBlendAttachmentState const &rhs)
PipelineColorBlendAttachmentState & | setBlendEnable (Bool32 blendEnable_)
PipelineColorBlendAttachmentState & | setSrcColorBlendFactor (BlendFactor srcColorBlendFactor_)
PipelineColorBlendAttachmentState & | setDstColorBlendFactor (BlendFactor dstColorBlendFactor_)
PipelineColorBlendAttachmentState & | setColorBlendOp (BlendOp colorBlendOp_)
PipelineColorBlendAttachmentState & | setSrcAlphaBlendFactor (BlendFactor srcAlphaBlendFactor_)
PipelineColorBlendAttachmentState & | setDstAlphaBlendFactor (BlendFactor dstAlphaBlendFactor_)
PipelineColorBlendAttachmentState & | setAlphaBlendOp (BlendOp alphaBlendOp_)
PipelineColorBlendAttachmentState & | setColorWriteMask (ColorComponentFlags colorWriteMask_)
| operator VkPipelineColorBlendAttachmentState const & () const
| operator VkPipelineColorBlendAttachmentState & ()
bool | operator== (PipelineColorBlendAttachmentState const &rhs) const
bool | operator!= (PipelineColorBlendAttachmentState const &rhs) const

## Data Fields

Bool32 | blendEnable
BlendFactor | srcColorBlendFactor
BlendFactor | dstColorBlendFactor
BlendOp | colorBlendOp
BlendFactor | srcAlphaBlendFactor
BlendFactor | dstAlphaBlendFactor
BlendOp | alphaBlendOp
ColorComponentFlags | colorWriteMask

## Detailed Description

Definition at line 23787 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineColorBlendAttachmentState() [1/2]

VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::PipelineColorBlendAttachmentState | ( | Bool32 | blendEnable_ = `0`,
|  | BlendFactor | srcColorBlendFactor_ = `BlendFactor::eZero`,
|  | BlendFactor | dstColorBlendFactor_ = `BlendFactor::eZero`,
|  | BlendOp | colorBlendOp_ = `BlendOp::eAdd`,
|  | BlendFactor | srcAlphaBlendFactor_ = `BlendFactor::eZero`,
|  | BlendFactor | dstAlphaBlendFactor_ = `BlendFactor::eZero`,
|  | BlendOp | alphaBlendOp_ = `BlendOp::eAdd`,
|  | ColorComponentFlags | colorWriteMask_ = `ColorComponentFlags()`
| ) |  |

inline

Definition at line 23789 of file vulkan.hpp.

: blendEnable( blendEnable_ )
, srcColorBlendFactor( srcColorBlendFactor_ )
, dstColorBlendFactor( dstColorBlendFactor_ )
, colorBlendOp( colorBlendOp_ )
, srcAlphaBlendFactor( srcAlphaBlendFactor_ )
, dstAlphaBlendFactor( dstAlphaBlendFactor_ )
, alphaBlendOp( alphaBlendOp_ )
, colorWriteMask( colorWriteMask_ )
{
}

## PipelineColorBlendAttachmentState() [2/2]

VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::PipelineColorBlendAttachmentState | ( | VkPipelineColorBlendAttachmentState const & | rhs | ) |

inline

Definition at line 23808 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineColorBlendAttachmentState ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineColorBlendAttachmentState &()

VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::operator VkPipelineColorBlendAttachmentState & | ( |  | ) |

inline

Definition at line 23871 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineColorBlendAttachmentState*>(this);
}

## operator VkPipelineColorBlendAttachmentState const &()

VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::operator VkPipelineColorBlendAttachmentState const & | ( |  | ) | const

inline

Definition at line 23866 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineColorBlendAttachmentState*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::operator!= | ( | PipelineColorBlendAttachmentState const & | rhs | ) | const

inline

Definition at line 23888 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineColorBlendAttachmentState& VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::operator= | ( | VkPipelineColorBlendAttachmentState const & | rhs | ) |

inline

Definition at line 23813 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineColorBlendAttachmentState ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::operator== | ( | PipelineColorBlendAttachmentState const & | rhs | ) | const

inline

Definition at line 23876 of file vulkan.hpp.

{
return ( blendEnable == rhs.blendEnable )
&& ( srcColorBlendFactor == rhs.srcColorBlendFactor )
&& ( dstColorBlendFactor == rhs.dstColorBlendFactor )
&& ( colorBlendOp == rhs.colorBlendOp )
&& ( srcAlphaBlendFactor == rhs.srcAlphaBlendFactor )
&& ( dstAlphaBlendFactor == rhs.dstAlphaBlendFactor )
&& ( alphaBlendOp == rhs.alphaBlendOp )
&& ( colorWriteMask == rhs.colorWriteMask );
}

References alphaBlendOp, blendEnable, colorBlendOp, colorWriteMask, dstAlphaBlendFactor, dstColorBlendFactor, srcAlphaBlendFactor, and srcColorBlendFactor.

Referenced by operator!=().

## setAlphaBlendOp()

PipelineColorBlendAttachmentState& VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::setAlphaBlendOp | ( | BlendOp | alphaBlendOp_ | ) |

inline

Definition at line 23854 of file vulkan.hpp.

{
alphaBlendOp = alphaBlendOp_;
return *this;
}

References alphaBlendOp.

## setBlendEnable()

PipelineColorBlendAttachmentState& VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::setBlendEnable | ( | Bool32 | blendEnable_ | ) |

inline

Definition at line 23818 of file vulkan.hpp.

{
blendEnable = blendEnable_;
return *this;
}

References blendEnable.

## setColorBlendOp()

PipelineColorBlendAttachmentState& VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::setColorBlendOp | ( | BlendOp | colorBlendOp_ | ) |

inline

Definition at line 23836 of file vulkan.hpp.

{
colorBlendOp = colorBlendOp_;
return *this;
}

References colorBlendOp.

## setColorWriteMask()

PipelineColorBlendAttachmentState& VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::setColorWriteMask | ( | ColorComponentFlags | colorWriteMask_ | ) |

inline

Definition at line 23860 of file vulkan.hpp.

{
colorWriteMask = colorWriteMask_;
return *this;
}

References colorWriteMask.

## setDstAlphaBlendFactor()

PipelineColorBlendAttachmentState& VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::setDstAlphaBlendFactor | ( | BlendFactor | dstAlphaBlendFactor_ | ) |

inline

Definition at line 23848 of file vulkan.hpp.

{
dstAlphaBlendFactor = dstAlphaBlendFactor_;
return *this;
}

References dstAlphaBlendFactor.

## setDstColorBlendFactor()

PipelineColorBlendAttachmentState& VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::setDstColorBlendFactor | ( | BlendFactor | dstColorBlendFactor_ | ) |

inline

Definition at line 23830 of file vulkan.hpp.

{
dstColorBlendFactor = dstColorBlendFactor_;
return *this;
}

References dstColorBlendFactor.

## setSrcAlphaBlendFactor()

PipelineColorBlendAttachmentState& VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::setSrcAlphaBlendFactor | ( | BlendFactor | srcAlphaBlendFactor_ | ) |

inline

Definition at line 23842 of file vulkan.hpp.

{
srcAlphaBlendFactor = srcAlphaBlendFactor_;
return *this;
}

References srcAlphaBlendFactor.

## setSrcColorBlendFactor()

PipelineColorBlendAttachmentState& VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::setSrcColorBlendFactor | ( | BlendFactor | srcColorBlendFactor_ | ) |

inline

Definition at line 23824 of file vulkan.hpp.

{
srcColorBlendFactor = srcColorBlendFactor_;
return *this;
}

References srcColorBlendFactor.

## Field Documentation

## alphaBlendOp

BlendOp VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::alphaBlendOp

Definition at line 23899 of file vulkan.hpp.

Referenced by operator==(), and setAlphaBlendOp().

## blendEnable

Bool32 VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::blendEnable

Definition at line 23893 of file vulkan.hpp.

Referenced by operator==(), and setBlendEnable().

## colorBlendOp

BlendOp VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::colorBlendOp

Definition at line 23896 of file vulkan.hpp.

Referenced by operator==(), and setColorBlendOp().

## colorWriteMask

ColorComponentFlags VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::colorWriteMask

Definition at line 23900 of file vulkan.hpp.

Referenced by operator==(), and setColorWriteMask().

## dstAlphaBlendFactor

BlendFactor VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::dstAlphaBlendFactor

Definition at line 23898 of file vulkan.hpp.

Referenced by operator==(), and setDstAlphaBlendFactor().

## dstColorBlendFactor

BlendFactor VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::dstColorBlendFactor

Definition at line 23895 of file vulkan.hpp.

Referenced by operator==(), and setDstColorBlendFactor().

## srcAlphaBlendFactor

BlendFactor VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::srcAlphaBlendFactor

Definition at line 23897 of file vulkan.hpp.

Referenced by operator==(), and setSrcAlphaBlendFactor().

## srcColorBlendFactor

BlendFactor VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::srcColorBlendFactor

Definition at line 23894 of file vulkan.hpp.

Referenced by operator==(), and setSrcColorBlendFactor().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::PipelineColorBlendAttachmentState
PipelineColorBlendAttachmentState(Bool32 blendEnable_=0, BlendFactor srcColorBlendFactor_=BlendFactor::eZero, BlendFactor dstColorBlendFactor_=BlendFactor::eZero, BlendOp colorBlendOp_=BlendOp::eAdd, BlendFactor srcAlphaBlendFactor_=BlendFactor::eZero, BlendFactor dstAlphaBlendFactor_=BlendFactor::eZero, BlendOp alphaBlendOp_=BlendOp::eAdd, ColorComponentFlags colorWriteMask_=ColorComponentFlags())
Definition: vulkan.hpp:23789
VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::alphaBlendOp
BlendOp alphaBlendOp
Definition: vulkan.hpp:23899
VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::dstAlphaBlendFactor
BlendFactor dstAlphaBlendFactor
Definition: vulkan.hpp:23898
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPipelineColorBlendAttachmentState
Definition: vulkan_core.h:2432
VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::colorWriteMask
ColorComponentFlags colorWriteMask
Definition: vulkan.hpp:23900
VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::colorBlendOp
BlendOp colorBlendOp
Definition: vulkan.hpp:23896
VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::srcColorBlendFactor
BlendFactor srcColorBlendFactor
Definition: vulkan.hpp:23894
VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::blendEnable
Bool32 blendEnable
Definition: vulkan.hpp:23893
VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::srcAlphaBlendFactor
BlendFactor srcAlphaBlendFactor
Definition: vulkan.hpp:23897
VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::operator==
bool operator==(PipelineColorBlendAttachmentState const &rhs) const
Definition: vulkan.hpp:23876
VULKAN_HPP_NAMESPACE::PipelineColorBlendAttachmentState::dstColorBlendFactor
BlendFactor dstColorBlendFactor
Definition: vulkan.hpp:23895